<?php
function back_dir($ruta1)
{
  $rutabak = '_backup/'; 
  $hour=date('H');
  $dow ='d'.date('w').'_'.$hour.'/';
//   $week ='w'.date('W').'/';

   @mkdir($rutabak);
     
   @mkdir($rutabak.$dow);
   @mkdir($rutabak.$dow.$ruta1);
     
//    @mkdir($rutabak.$week);
//    @mkdir($rutabak.$week.$ruta1);

   touch($rutabak.$dow.$ruta1, time()); 
//    touch($rutabak.$week.$ruta1, time()); 
    foreach (glob($ruta1.'*.*') as $origen)
    {
      if(!mb_stristr('.zip',substr($origen,-3,3)))
      {
        $bktimea = filectime($origen); 
           
        $destino1=$rutabak.$dow.$origen;
        echo '<br>'.$origen.' --> '.$destino1;
        echo '<br>'.date('Y-m-d',$bktimea);
        copy($origen,$destino1);
        touch($destino1, $bktimea); 
           
//         $destino2=$rutabak.$week.$origen;
//         echo '<br>'.$origen.' --> '.$destino2;
//         copy($origen,$destino2);
//         touch($destino2, $bktimea); 
           
      }
    }       
   touch($rutabak.$dow, time()); 
   touch($rutabak.$week, time()); 
}  

include('php_gene1.php');

echo '*** CJ BackUp';
echo '<br>';

chdir('../');
back_dir('_lib/');
back_dir('_js/');
back_dir('_code/');
back_dir('css/');
return;


chdir('_cele');
echo getcwd();
$rutas = scandir('../_cele/'); 
if(!empty($rutas))
foreach($rutas as $ruta)
if(!mb_stristr($ruta,'.'))
{clean_cel(''.$ruta.'/');}


function clean_cel($dir)
{
     $fecha0=date('Y-m-d',strtotime('-1 month'));
     echo '<br>='.$dir;
     foreach (glob($dir.'*.txt') as $origen)
     {
          $bktimea = filectime($origen); 
          $fechaf=date('Y-m-d',$bktimea);
          echo '<br>'.$origen.' --> '.$origen.' -- > '.$fechaf;
          if($fechaf<$fecha0)
          {unlink($origen);echo ' (deleted)';}
     }
     
     $rutas = @scandir($dir);     
     if(!empty($rutas))
     foreach($rutas as $ruta)
     if(!mb_stristr($ruta,'.'))
     {clean_cel(''.$ruta.'/');}
         
}       




echo '************************';



function dele_file($file)
{
     if(file_exists($file))
     {
//           chmod($file, 0644);
//           unlink($file);
          
          echo '<br>chmod ='.chmod($file, 0644);
          echo '<br>unlink ='.unlink($file);
     }
}


?>